# Organization Types Organization Types ## Gets all of the organization types in the system. - [GET /organizationTypes/{tenantId}](https://docs.api.rhythmsoftware.com/apis/rolodex/rolodex-v1/organization-types/listorganizationtypes.md): This method will scan all organization types and and return them to the caller. ## Creates a new organization type record that does not already exist. - [POST /organizationTypes/{tenantId}](https://docs.api.rhythmsoftware.com/apis/rolodex/rolodex-v1/organization-types/createorganizationtype.md): This method will auto-generate an ID and create a new organization type. If an ID is specified for the organization type, an error will be thrown. ## Execute Batch Operations - [POST /organizationTypes/{tenantId}/batch](https://docs.api.rhythmsoftware.com/apis/rolodex/rolodex-v1/organization-types/executebatchoperations.md): TAllows you to perform up to 100 parallel patch/delete operations ## Returns a organization type from the system by its ID. - [DELETE /organizationTypes/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/rolodex/rolodex-v1/organization-types/deleteorganizationtype.md): This method will delete a organization type with the specified ID. ## Returns a organization type from the system by its ID. - [GET /organizationTypes/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/rolodex/rolodex-v1/organization-types/getorganizationtype.md): This method will look up a organization type by the specified ID and return it back. ## Partially updates a organization type with the specified ID. - [PATCH /organizationTypes/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/rolodex/rolodex-v1/organization-types/patchorganizationtype.md): This method will patch an existing organization type with the specified ID, using the HTTP PATCH specification. ## Updates a organization type with the specified ID. - [PUT /organizationTypes/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/rolodex/rolodex-v1/organization-types/updateorganizationtype.md): This method will update an existing organization type with the specified ID.